Bug 241451 - devel/qtcreator: fix packaging with GCC
Summary: devel/qtcreator: fix packaging with GCC
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-24 07:57 UTC by Piotr Kubaj
Modified: 2019-11-02 20:25 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
patch (1.19 KB, patch)
2019-10-24 07:57 UTC, Piotr Kubaj
no flags Details | Diff
v2 (53.44 KB, patch)
2019-10-29 23:46 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (kde)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-10-24 07:57:15 UTC
Created attachment 208551 [details]
patch

Another round of trying to fix packaging for qtcreator...
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-10-26 05:44:56 UTC
Approved as mentor (builds on ppcports) awaiting maintainer review.
Comment 2 Tobias C. Berner freebsd_committer 2019-10-26 06:38:05 UTC
I'm not quite convinced that these files are actually depending on GCC/Clang and that its not just again a race in the build that you hit.
Comment 3 Tobias C. Berner freebsd_committer 2019-10-26 06:40:26 UTC
Probably the better fix for this is to no longer list the doc-files explicitely in the plist and use a PORTDOCS wildcard.
Comment 4 Piotr Kubaj freebsd_committer 2019-10-29 23:46:29 UTC
Created attachment 208683 [details]
v2

Is that ok?
Comment 5 Tobias C. Berner freebsd_committer 2019-11-02 17:01:05 UTC
Looks good to me.
Comment 6 commit-hook freebsd_committer 2019-11-02 20:25:55 UTC
A commit references this bug:

Author: pkubaj
Date: Sat Nov  2 20:25:41 UTC 2019
New revision: 516365
URL: https://svnweb.freebsd.org/changeset/ports/516365

Log:
  devel/qtcreator: fix packaging with GCC architectures

  Remove explicit PORTDOCS from pkg-plist.

  PR:		241451
  Approved by:	tcberner (maintainer, mentor), linimon (mentor)

Changes:
  head/devel/qtcreator/Makefile
  head/devel/qtcreator/pkg-plist